CC26xx Driver Library |

- Main Page
- Related Pages
- CC26xx APIs
- Register Descriptions
- Online Resources

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
HARD_API_T Struct Reference

`#include <rom.h>`

## Data Fields
FPTR_CRC32_T | Crc32
FPTR_GETFLSIZE_T | FlashGetSize
FPTR_GETCHIPID_T | GetChipId
FPTR_RESERVED1_T | ReservedLocation1
FPTR_RESERVED2_T | ReservedLocation2
FPTR_RESERVED3_T | ReservedLocation3
FPTR_RESETDEV_T | ResetDevice
FPTR_FLETCHER32_T | Fletcher32
FPTR_MINVAL_T | MinValue
FPTR_MAXVAL_T | MaxValue
FPTR_MEANVAL_T | MeanValue
FPTR_STDDVAL_T | StandDeviationValue
FPTR_RESETPERIPHERAL_T | ResetPeripheral
FPTR_RESETDOMAIN_T | ResetDomain
FPTR_HFSOURCESAFESWITCH_T | HFSourceSafeSwitch
FPTR_COMPAIN_T | SelectCompAInput
FPTR_COMPAREF_T | SelectCompARef
FPTR_ADCCOMPBIN_T | SelectADCCompBInput
FPTR_COMPBREF_T | SelectCompBRef

## Detailed Description

Definition at line 142 of file rom.h.

## Field Documentation

FPTR_CRC32_T HARD_API_T::Crc32

Definition at line 144 of file rom.h.

FPTR_GETFLSIZE_T HARD_API_T::FlashGetSize

Definition at line 145 of file rom.h.

FPTR_FLETCHER32_T HARD_API_T::Fletcher32

Definition at line 151 of file rom.h.

FPTR_GETCHIPID_T HARD_API_T::GetChipId

Definition at line 146 of file rom.h.

FPTR_HFSOURCESAFESWITCH_T HARD_API_T::HFSourceSafeSwitch

Definition at line 158 of file rom.h.

FPTR_MAXVAL_T HARD_API_T::MaxValue

Definition at line 153 of file rom.h.

FPTR_MEANVAL_T HARD_API_T::MeanValue

Definition at line 154 of file rom.h.

FPTR_MINVAL_T HARD_API_T::MinValue

Definition at line 152 of file rom.h.

FPTR_RESERVED1_T HARD_API_T::ReservedLocation1

Definition at line 147 of file rom.h.

FPTR_RESERVED2_T HARD_API_T::ReservedLocation2

Definition at line 148 of file rom.h.

FPTR_RESERVED3_T HARD_API_T::ReservedLocation3

Definition at line 149 of file rom.h.

FPTR_RESETDEV_T HARD_API_T::ResetDevice

Definition at line 150 of file rom.h.

FPTR_RESETDOMAIN_T HARD_API_T::ResetDomain

Definition at line 157 of file rom.h.

FPTR_RESETPERIPHERAL_T HARD_API_T::ResetPeripheral

Definition at line 156 of file rom.h.

FPTR_ADCCOMPBIN_T HARD_API_T::SelectADCCompBInput

Definition at line 161 of file rom.h.

FPTR_COMPAIN_T HARD_API_T::SelectCompAInput

Definition at line 159 of file rom.h.

FPTR_COMPAREF_T HARD_API_T::SelectCompARef

Definition at line 160 of file rom.h.

FPTR_COMPBREF_T HARD_API_T::SelectCompBRef

Definition at line 162 of file rom.h.

FPTR_STDDVAL_T HARD_API_T::StandDeviationValue

Definition at line 155 of file rom.h.